Subject: Re: [edu-team] FW: [NGO] Tutorial on RELAX NG and/or XSD at Vancouver IETF?

From: Ladislav Lhotka <[email-masked]>
Date: Mon, 01 Oct 2007 11:58:56 +0200

Hi Margaret,

just to make it clear: I only volunteered to do the RELAX NG part, I
don't have enough knowledge of and experience with XSD. Otherwise,
please see my responses inline.

Margaret Wasserman píše v Čt 27. 09. 2007 v 10:06 -0400: 
> (1) A brief summary of Lada's background and qualifications in Relax  
> NG/XSD, as well as some information about Lada's IETF experience and  
> contributions.

My background is mathematics and computer science. My personal page
http://staff.cesnet.cz/~lhotka/
has links to both CV and list of publications.

My experience with XML is twofold:
1. I am the editor of CESNET technical reports that use XML as the
common internal format that other formats are converted to. We use two
presentation formats - HTML and PDF. Our recent result is here:
http://www.cesnet.cz/doc/2007/networking-studies/
2. I lead the Liberouter project (http://www.liberouter.org) where we
use XML for representing structured configuration data.

Both tasks involve quite a lot of XSLT. In both cases we first used DTD
as the schema language, see e.g.,
http://www.cesnet.cz/doc/techzpravy/2003/netopeer-dtd/
When looking for a better schema language, I started with XSD but soon
discovered RELAX NG that I found much easier to master and consequently
used it for all my schemas in both areas since then. Therefore, my
practical experience with XSD is limited but I have been following the
development of XSD schemas in the NETCONF WG. I also wrote XSLT tools
for transforming annotated RELAX NG schemas into pretty-printed formats
with cross references:
http://www.cesnet.cz/doc/techzpravy/2006/rngrest/
http://www.ietf.org/internet-drafts/draft-lhotka-relaxng-to-rfc-00.txt

I have been following the work of NETCONF WG since about mid 2003 and
later contributing mainly to the data model discussion. So far, I
attended three IETF meetings in person - 60, 64, 68. I authored the I-D
cited above.

> 
> (2) E-mail confirmation from Lada indicating availability and  
> willingness to teach a 2-hour tutorial on this subject in person on  
> Sunday afternoon at IETF 70 in Vancouver, including a commitment to
> produce tutorial slides by November 12th and to incorporate feedback  
> from the EDU Team and other expert reviewers before the IETF meeting.

I am already registered for IETF-70 and have flight reservation for
Saturday, Dec 1. The only missing thing is the Canadian visa but that
shouldn't mean any problem, I obtained it within one week after placing
the application before IETF-64. I will be able to prepare the tutorial
slides before November 12 and adjust it accordingly after having
received the feedback from the EDU team/reviewers.

> 
> (3) A detailed outline for the proposed tutorial including  
> references, etc.

Attached.

> 
> (4) Availability to attend a phone call with the EDU Team in early  
> October to discuss this tutorial, if necessary.

I will be generally available, only between October 9 and 12 I am going
to attend a workshop so I may not be immediately available all the time.
My cell phone number is +420-602-376360.

Best regards,

Lada

-- 
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C
_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 9 Oct 2007 15:03:16 +0200

I am sorry to reply late to this one, but I was away on vacation
starting the day when the mail was sent. 

My opinion is that it is too early for a management tutorial at IETF 70.
I can see one at a later phase, but I would actually built in around the
document that David is editing which will become we hope the principal
guidance reference from the OPS area to the whole IETF including  the
concepts of manageability that groups should consider when writing their
documents and other. 

On the other hand a presentation of the guidelines draft at the WG lunch
seems a good idea for me and an opportunity to generate discussions and
feedback. David - do you agree? 

Dan

> -----Original Message-----
> From: Margaret Wasserman [mailto:[email-masked]] 
> Sent: Thursday, September 27, 2007 4:23 PM
> To: Romascanu, Dan (Dan)
> Cc: Wijnen, Bert (Bert); EDU Team; Ron Bonica; David Harrington
> Subject: Re: [edu-team] FW: [NGO] Tutorial on RELAX NG and/or 
> XSD at Vancouver IETF?
> 
> 
> 
> Hi Dan,
> 
> In a separate response that doesn't include Lada, but does 
> include Dave Harrington and Ron Bonica.
> 
> On Sep 16, 2007, at 9:38 AM, Romascanu, Dan (Dan) wrote:
> 
> > No, I do not know Lada. I can however confirm what Bert 
> said. An XSD 
> > or XSD and RELAX NG tutorial would be extremely useful for the OPS 
> > community. I do not know what Margaret meant by 'an updated 
> Management 
> > tutorial' but these are the subjects that the management community 
> > would benefit most at this point in time.
> 
> The "updated Management tutorial" we've discussed would not 
> be intended to educate the management community, per se.  It 
> would be intended to educate IETF attendees about management, 
> much like the Security tutorial that teaches people about 
> security technologies and how to think about security when 
> writing their specs.
> 
> There have been various management tutorials given in the 
> past, but most of them have focused on how to write SNMP 
> MIBs.  We had discussed the possibility that we might want to 
> give a broader management tutorial that would cover both IETF 
> management technologies and the concepts of manageability 
> that groups should consider when writing their documents.  
> This could potentially be given at IETF 70, IETF 71 or later.
> 
> I had thought that this might include something along the 
> lines of Dave Harrington's document: 
> draft-harrington-operations-and- management-01.txt.  However, 
> in discussion with the EDU Team, there was some concern that 
> Dave's document may not yet represent an IETF consensus.  So, 
> we thought that it might be better to have Dave present this 
> document to the WG chairs first (assuming he is willing), 
> both as a means to get the WG chairs thinking about these 
> issues, and as a way to get some feedback on this document 
> from some heavily invested members of the IETF community 
> outside of the OPS area.
> 
> Presenting Dave's document to the WG chairs is not 
> necessarily mutually exclusive with the idea of doing a 
> management tutorial on Sunday.  But, if we want to do either, 
> we need to reach some decisions on this in the next ~2 weeks.
> 
> What do you guys think?
> 
> Margaret
> 
> 
> 
> 
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 9 Oct 2007 15:36:25 +0200

Thanks. I can prepare the AD view and help with preparing the material.
I do not know if Margaret and the rest of the EDU team plan for this to
be the only item at the WG chairs lunch, but having some time for a
panel plus open discussion would certainly be useful. In the IAB today
we actually have Loa who co-authored the initial submission in the
routing area and also has experience as operator and David Thaler who
has done some management work whom we can ask to participate. 

Dan

> From: David Harrington [mailto:[email-masked]] 
> Sent: Tuesday, October 09, 2007 3:25 PM
> To: Romascanu, Dan (Dan); 'Margaret Wasserman'
> Cc: 'Wijnen, Bert (Bert)'; 'EDU Team'; 'Ron Bonica'
> Subject: RE: [edu-team] FW: [NGO] Tutorial on RELAX NG and/or 
> XSD at Vancouver IETF?
> 
> Hi,
> 
> I think it is too early to do a tutorial.
> 
> It may be too early to present at the chairs' lunch, as well.
> I am concerned that we do not have a clear message about what 
> WGs should do vis-a-vis ops and mgmt.
> I do not think we have considered the impact on 
> interoperability enough of a multi-protocol approach.
> I do not want to give the impression to WG chairs that 
> "anything goes".
> 
> I had meant to ask Dan his feelings about my doing this at the chairs'
> lunch.
> Obviously Dan thinks it is OK to do this at the chairs' lunch. ;-)
> 
> So, I will plan to present this at the chairs' lunch, to 
> stimulate discussion and get feedback from the chairs on the 
> direction of the guidelines.
> 
> I would like to have Dan or Ron or another representative of 
> the IESG state what the current expectations of WGs are 
> regarding ops and mgmt, so the chairs do not get the wrong 
> impression from my presentation, and take that back to their WGs.
> 
> If there is time, it might be good to have a panel discussion 
> including Dan and Ron (and Bert and Dave K if they are 
> available). We don't have any IAB members whose primary focus 
> is on OPS and mgmt, or I would suggest they be included. To 
> me, the main purpose of the panel discussion would be to show 
> that the tradeoffs as we move from SNMP-only to 
> multi-protocol management are still unclear.
> 
> dbh
> 
> > From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> > Sent: Tuesday, October 09, 2007 9:03 AM
> > To: Margaret Wasserman
> > Subject: RE: [edu-team] FW: [NGO] Tutorial on RELAX NG 
> and/or XSD at 
> > Vancouver IETF?
> > 
> > My opinion is that it is too early for a management 
> tutorial at IETF 
> > 70.
> > I can see one at a later phase, but I would actually built 
> in around 
> > the document that David is editing which will become we hope the
> principal
> > concepts of manageability that groups should consider when writing 
> > their documents and other.
> > 
> > On the other hand a presentation of the guidelines draft at the WG 
> > lunch seems a good idea for me and an opportunity to generate 
> > discussions and feedback. David - do you agree?
> > 
> > Dan
> > 
> > 
> >  
> >  
> > 
> > > Subject: Re: [edu-team] FW: [NGO] Tutorial on RELAX NG 
> and/or XSD at 
> > > Vancouver IETF?
> > > 
> > > 
> > > 
> > > Hi Dan,
> > > 
> > > In a separate response that doesn't include Lada, but 
> does include 
> > > Dave Harrington and Ron Bonica.
> > > 
> > > The "updated Management tutorial" we've discussed would not be 
> > > intended to educate the management community, per se.  It 
> would be 
> > > intended to educate IETF attendees about management, much 
> like the 
> > > Security tutorial that teaches people about security technologies 
> > > and how to think about security when writing their specs.
> > > 
> past, but 
> > > most of them have focused on how to write SNMP MIBs.  We had 
> > > discussed the possibility that we might want to give a broader 
> > > management tutorial that would cover both IETF management 
> > > technologies and the concepts of manageability that groups should 
> > > consider when writing their documents.
> > > draft-harrington-operations-and- management-01.txt.  However, in 
> > > discussion with the EDU Team, there was some concern that Dave's 
> > > document may not yet represent an IETF consensus.  So, we thought 
> > > that it might be better to have Dave present this 
> document to the WG 
> > > chairs first (assuming he is willing), both as a means to 
> get the WG 
> > > chairs thinking about these issues, and as a way to get some 
> > > feedback on this document from some heavily invested 
> members of the 
> > > IETF community outside of the OPS area.
> > > 
> > > Presenting Dave's document to the WG chairs is not necessarily 
> > > mutually exclusive with the idea of doing a management 
> tutorial on 
> > > Sunday.  But, if we want to do either, we need to reach some 
> > > decisions on this in the next ~2 weeks.
> > > 
> > > What do you guys think?
> > > 
> > > Margaret
> > > 
> > > 
> > > 
> > > 
> > > 
> > 
>

---

From: "WIJNEN, Bert \(Bert\)" <[email-masked]>
Date: Tue, 9 Oct 2007 15:48:52 +0200

If I am needed/wanted as a panel member, then I can do so.

Bert Wijnen  

> Sent: Tuesday, October 09, 2007 3:36 PM
> To: David Harrington; Margaret Wasserman
> Cc: WIJNEN, Bert (Bert); EDU Team; Ron Bonica
> I do not know if Margaret and the rest of the EDU team plan 
> for this to be the only item at the WG chairs lunch, but 
> having some time for a panel plus open discussion would 
> certainly be useful. In the IAB today we actually have Loa 
> who co-authored the initial submission in the routing area 
> and also has experience as operator and David Thaler who has 
> done some management work whom we can ask to participate. 
> 
> Dan
> 
> 
>  
>  
> 
> > I am concerned that we do not have a clear message about what WGs 
> > should do vis-a-vis ops and mgmt.
> > I do not think we have considered the impact on interoperability 
> > enough of a multi-protocol approach.
> > I do not want to give the impression to WG chairs that "anything 
> > goes".
> > 
> > So, I will plan to present this at the chairs' lunch, to stimulate 
> > discussion and get feedback from the chairs on the direction of the 
> > guidelines.
> > 
> > I would like to have Dan or Ron or another representative 
> of the IESG 
> > state what the current expectations of WGs are regarding 
> ops and mgmt, 
> > so the chairs do not get the wrong impression from my presentation, 
> > and take that back to their WGs.
> > 
> available). We 
> > don't have any IAB members whose primary focus is on OPS 
> and mgmt, or 
> > I would suggest they be included. To me, the main purpose 
> of the panel 
> > discussion would be to show that the tradeoffs as we move from 
> > SNMP-only to multi-protocol management are still unclear.
> > 
> > dbh
> >

---

From: "David Harrington" <[email-masked]>
Date: Tue, 9 Oct 2007 09:24:35 -0400

Hi,

I would like to have Dan or Ron or another representative of the IESG
state what the current expectations of WGs are regarding ops and mgmt,
so the chairs do not get the wrong impression from my presentation,
and take that back to their WGs.

If there is time, it might be good to have a panel discussion
including Dan and Ron (and Bert and Dave K if they are available). We
don't have any IAB members whose primary focus is on OPS and mgmt, or
I would suggest they be included. To me, the main purpose of the panel
discussion would be to show that the tradeoffs as we move from
SNMP-only to multi-protocol management are still unclear.

dbh

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 16 Oct 2007 10:42:39 -0400

> discussion and get feedback from the chairs on the direction of the

Great!

> SNMP-only to multi-protocol management are still unclear.

It looks like we have Dan and Bert signed up for this panel, which is  
a great start!

Dan, would you be willing to say a few words about what criteria you  
are currently using to review IETF documents for operations and  
management-related issues?

Ron, would you be willing to participate in the panel?

I agree with Dan's suggestion about asking Loa and/or Dave Thaler to  
participate in the panel, and I will follow up with them to see if  
they are available.

I've attached a first draft of a summary/agenda for this session.   
Comments?  Other questions we'd like to answer or things we'd like to  
emphasize?

Thanks,
Margaret

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 16 Oct 2007 17:21:20 +0200

This looks like a good plan and a balanced agenda to me. Please consider
me signed up. 

Dan

> Sent: Tuesday, October 16, 2007 4:43 PM
> To: David Harrington
> Cc: Romascanu, Dan (Dan); 'Wijnen, Bert (Bert)'; 'EDU Team'; 
> 'Ron Bonica'
> It looks like we have Dan and Bert signed up for this panel, 
> which is a great start!
> 
> Dan, would you be willing to say a few words about what 
> criteria you are currently using to review IETF documents for 
> operations and management-related issues?
> 
> I agree with Dan's suggestion about asking Loa and/or Dave 
> Thaler to participate in the panel, and I will follow up with 
> them to see if they are available.
> 
> Comments?  Other questions we'd like to answer or things we'd 
> like to emphasize?
> 
> Thanks,
> Margaret
> 
>

---

From: "WIJNEN, Bert \(Bert\)" <[email-masked]>
Date: Tue, 16 Oct 2007 17:26:23 +0200

Looks fine to me too

Bert Wijnen  

> Sent: Tuesday, October 16, 2007 5:21 PM
> To: Margaret Wasserman; David Harrington
> This looks like a good plan and a balanced agenda to me. 
> Please consider me signed up. 
> 
> Dan
> 
>  
> 
> > Cc: Romascanu, Dan (Dan); 'Wijnen, Bert (Bert)'; 'EDU Team'; 'Ron 
> > Bonica'
> stimulate 
> criteria you 
> Thaler to

---

From: Ron Bonica <[email-masked]>
Date: Tue, 16 Oct 2007 16:47:44 -0400

> Ron, would you be willing to participate in the panel?

I would be glad to! Thanks!

                  Ron